PDA

View Full Version : iMac G4




bad03xtreme
May 20, 2013, 09:47 AM
I have an old flat panel G4 iMac that I just have in my kitchen for email and music but my wireless no longer works. I bought and installed an airport card a few years back and it worked but now I can no longer access my wireless network. I have an airport base station for my wireless network and my iMac G5, Macbook Pro and iPhone connect fine but the iMac G4 cannot connect.

Do I need to upgraded to an AIrport Extreme card or is there an alternative method to get it to connect to my wireless network? :confused:



Jessica Lares
May 20, 2013, 10:05 AM
Did you upgrade your internet recently? Maybe you just need to take it out and put it back in? Try that first. Maybe it went bad finally and you just need to buy a new one again?

bad03xtreme
May 20, 2013, 10:12 AM
I haven't changed anything on my end, the airport card is working because it recognizes my network but it won't connect. It tells me "There was an error joining the Airport network "network name" ".

Android4tw
May 20, 2013, 11:06 AM
What kind of network security are you using ?

bad03xtreme
May 20, 2013, 11:08 AM
It's WPA2, I tried switching to WEP w/ a 10digit password but that still didn't work.

Android4tw
May 20, 2013, 11:26 AM
If your imac is using an old airport card it cant use network security that high,but you can get a usb dongle to fix that problem.

bad03xtreme
May 20, 2013, 11:28 AM
Can I put an Airport Extreme card in it and get it to work?

Android4tw
May 20, 2013, 11:59 AM
Depends on the model, I mite be wrong here but i think that only the 20 inch imac g4's can use a airport extreme. I know for sure that a 15 inch imac g4 can only use the old airport cards.

chibiterasu
May 20, 2013, 01:17 PM
Depends on the model, I mite be wrong here but i think that only the 20 inch imac g4's can use a airport extreme. I know for sure that a 15 inch imac g4 can only use the old airport cards.

Only the 15 inch with a 1.0 ghz, the 17 inch in the 1.0 and 1.25 ghz and lastly the 20 inch can use a airport extreme card, now because the op said that you already have a airport card (not airport extreme) you must have a older iMac g4 and as the two cards aren't interchangeable then you need a dongle. Airport should work up to wpa, airport extream for wpa2. Hope that helps :)

666sheep
May 20, 2013, 03:41 PM
If your imac is using an old airport card it cant use network security that high,but you can get a usb dongle to fix that problem.

It can. It needs WPA/WPA2 setting on the AP base station and minimum 10.3.9 on client computer.

Intell
May 20, 2013, 06:13 PM
It can. It needs WPA/WPA2 setting on the AP base station and minimum 10.3.9 on client computer.

It can't connect to WPA2 networks. It'll see them, but not connect to them.

666sheep
May 21, 2013, 12:22 AM
Intell, I wouldn't say that if I wouldn't work. With mixed WPA/WPA2 setting + b/g/n mode it works perfectly. I have AP Express set this way and my Clamshell connects to it without problems.

bad03xtreme
May 21, 2013, 06:55 AM
Can you explain the process a little more? I tried changing the settings but couldn't get it to connect. I checked and it's only the 700MHz G4 so an Airport Express card won't work.

666sheep
May 21, 2013, 07:35 AM
Check my settings on this screenshot: http://forums.macrumors.com/showpost.php?p=15517559&postcount=17

bad03xtreme
May 21, 2013, 10:49 AM
Thank you!

I see you are using an Airport express, will this work with an Airport extreme base station?